survreg.control {survival} | R Documentation

## Package options for survreg and coxph

### Description

These functions check and package the fitting options for `survreg` and `coxph`

### Usage

    survreg.control(maxiter=30, rel.tolerance=1e-05, failure=1,
    toler.chol=1e-10, iter.max, debug=0, outer.max=10)
    coxph.control (eps = 1e-08, toler.chol = .Machine$double.eps^0.75,
        iter.max = 15, toler.inf = sqrt(eps), outer.max = 10)

### Arguments

`maxiter` | maximum number of iterations
`rel.tolerance` | relative tolerance to declare convergence
`failure` | value of status variable indicating failure
`toler.chol` | Tolerance to declare Cholesky decomposition singular
`iter.max` | same as `maxiter`
`debug` | print debugging information
`outer.max` | maximum number of outer iterations for choosing penalty parameters
`eps` | Tolerance to declare convergence for Cox model
`toler.inf` | An undocumented parameter

### Value

A list with the same elements as the input

### See Also

`survreg`, `coxph`

### Examples

[Package Contents]